﻿checkRequire("Lua_RongLianUtil");
checkRequire("Lua_YuLanEquipSelectedItem")
Lua_RongLianPanel = class("Lua_RongLianPanel", Lua_DisplayObject);
function Lua_RongLianPanel:ctor(p)
	self:superCall("ctor", p, "RongLianPanel_skin");
end

function Lua_RongLianPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.titleTxt.text = LanUtil.getValue(120596);
	self.tipsLbl.text = LanUtil.getValue(110559);
	self.desLbl.text = ""
	self.rateLbl.text = "";
	self.titleLbl.text = Lua_RongLianUtil.getCareer_equip()[DataCenter.roleData.career];

	self.titleBg:SetDimensions(321, 44);
	self.tipsLbl:setEnable(false);
	self.rongLianObj:SetActive(false);
	self.desLbl1:setEnable(false);

	self._list = {txt = self.titleLbl.text, index = DataCenter.roleData.career};
	self.pkg_indexArr = Array();

	self.duanzaoBgArr = Array();
	self.duanzaoBgArr:add(self.duanzao2);
	self.duanzaoBgArr:add(self.duanzao3);
	self.duanzaoBgArr:add(self.duanzao4);
	self.duanzaoBgArr:add(self.duanzao5);
	self.duanzaoBgArr:add(self.duanzao6);

	self.equip_DragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 768, 410));
	self.equip_DragList:setListCell(Lua_YuLanEquipSelectedItem, 118, 256, 3);
	self.equip_DragList:setLocation(112, -63, 0);
	self.equip_DragList:setEnable(false);

	self.hongdian_title = UICreate.createUIAtlasImage(self.forging_titleBg.mainContent, "common_atlas_1", "ui_common_hongdian", 145, 15, 0, 0)
	self.hongdian_title.clickScale = false;
	self.hongdian_title.name = "hongdian_title";
	self.hongdian_title:setDepth(15);
	self.hongdian_title:setEnable(true);

	self.hongdian_plus = UICreate.createUIAtlasImage(self.plus.mainContent, "common_atlas_1", "ui_common_hongdian", 36, 36, 0, 0)
	self.hongdian_plus.clickScale = false;
	self.hongdian_plus.name = "hongdian_plus";
	self.hongdian_plus:setDepth(20);
	self.hongdian_plus:setEnable(true);

	self.hongdian_btn = UICreate.createUIAtlasImage(self.ronglianBtn.mainContent, "common_atlas_1", "ui_common_hongdian", 85, 25, 0, 0)
	self.hongdian_btn.clickScale = false;
	self.hongdian_btn.name = "hongdian_btn";
	self.hongdian_btn:setDepth(20);
	self.hongdian_btn:setEnable(true);

	self.desLbl2:addClickFuntion(self, self.onAddEquipClick);
	self.desLbl3:addClickFuntion(self, self.onAddEquipClick);
	self.desLbl4:addClickFuntion(self, self.onAddEquipClick);
	self.desLbl5:addClickFuntion(self, self.onAddEquipClick);
	self.desLbl6:addClickFuntion(self, self.onAddEquipClick);
	self.tipsIcon:addClickFuntion(self, self.onHelpClick);
	self.forging_titleBg:addClickFuntion(self, self.onOpenTipsClick);
	self.ronglianBtn:addClickFuntion(self, self.onRongLianClick);
	self.yijianBtn:addClickFuntion(self, self.onOncePutClick);

	self:ObjectState(false, true);

	self:addLuaEvent("TIPS_CHANGE", self, self.onSanJiaoChange);
	self:addLuaEvent("onEquipSelecteCellClick", self, self.onEquipSelecteCellClick);
	self:addLuaEvent("EQUIP_CHANGE", self, self.onEquipChange);
	self:addLuaEvent("UPDATE_COST", self, self.onUpdateView);
	self:addLuaEvent("REMOVE_EQUIP", self, self.onRemoveEquip);
	self:addLuaEvent("REMOVE_YULAN_EQUIP", self, self.onRemoveYuLanEquip);
	self:addLuaEvent("PUT_INTO_EQUIP", self, self.onPutIntoEquip);
	self:addLuaEvent("FORGING_PLAY_SUCCEED", self, self.onSuccessEvent);
	self:addLuaEvent("UPDATE_RONGLIANPANEL_REDDOT", self, self.checkRedDot);

	local arr = Array();
	local index = 1;
	self._length = #getConfig({"equipment_compose", "color_equip"});
	self._count = getConfig({"equipment_compose", "order_count"});
	self.level_limitArr = getConfig({"equipment_compose", "lvl_limit"});
	self.color_equip_limit = getConfig({"equipment_compose", "color_equip_limit"});
	for i = 1, self._length do
		if DataCenter.roleData.level >= self.color_equip_limit[i] then
			local sub1 = Array();
			local tempIdx = index - 1;
			for c = 1, self._count[i] do
				if DataCenter.roleData.level >= self.level_limitArr[i][c] then
					sub1:add({ name = getConfig({"equipment_compose", "order_equip",
					"a"..DataCenter.roleData.career})["a"..DataCenter.roleData.career..tempIdx..string.format("%02d", c)][1][1],

					data = getConfig({"equipment_compose", "order_equip",
					"a"..DataCenter.roleData.career})["a"..DataCenter.roleData.career..tempIdx..string.format("%02d", c)][2] });
				end
			end
			index = index + 1;
			arr:add({name = getConfig({"equipment_compose", "color_equip"})[i], sub = sub1});
		end
	end

	if arr:getSize() <= 0 then
		return;
	end
	self.btnList = Lua_DragSubButtonList.new(self.content, 1, Vector4(0, 0, 268, 485),
		Vector3(268, 65, 0), Vector3(244, 46, 0), Vector2(0, 0), Vector3(0, 16));
	self.btnList:setLocation(-460, -90, 0);
	self.btnList:setDepth(5);
	self.btnList:setMainBtnStyle("common_atlas_1", "ui_common_btn_p2", "ui_common_btn_p1", "D5DADE", "FFFFFF", 28);
	self.btnList:setSubBtnStyle("common_atlas_1", "ui_common_btn_p4", "ui_common_btn_p3", "92A0DA", "FFFCB7", 26);
	self.btnList:setData(arr, self, self.onSubClick, 0, 210); -- (485 - 65) / 2

	self:checkRedDot(DataCenter.roleData.career);

	local configList = getConfig({"equipment_compose", "prof_equip_choose"});
	local roleProfession = DataCenter.roleData.profession + 1;
	if roleProfession > #configList then
		roleProfession = #configList;
	end

	if self.level_limitArr[1][configList[roleProfession]] > DataCenter.roleData.level then
		roleProfession = roleProfession - 1;
	end
	self.btnList:setMainSlected(1, configList[roleProfession]);
end

function Lua_RongLianPanel:onSuccessEvent()
	if self.effect == nil then
		self.effect = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_qianghua", "gui_qianghua", 89, -7);
		self.effect:SetRenderQueue(self.ylLbl, 5, 2, false);
	end
	self.effect:setEnable(false);
	self.effect:setEnable(true);

	if self.effectZiTi == nil then
		self.effectZiTi = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_ronglianziti", "gui_ronglianziti", 89, -114);
		self.effectZiTi:SetRenderQueue(self.ylLbl, 10, 2, false);
	end
	self.effectZiTi:setEnable(false);
	self.effectZiTi:setEnable(true);
end

function Lua_RongLianPanel:checkRedDot(index)
	if index == nil then
		index = self._list.index;
	end


	local arr = DataCenter.equData:getRonglianRedData();
	local len = arr:getSize();
	self.hongdian_title:setEnable(len > 0);

	local mainIndexState = false;
	local mainIndexState2 = false;
	local mainIndexState3 = false;
	local subArr1 = Array();
	local subArr2 = Array();
	local subArr3 = Array();
	for i = 1, len do
		if arr[i].carrer == index and arr[i].mainIndex == 1 then
			mainIndexState = true;
			subArr1:add(arr[i].subIndex);
		elseif arr[i].carrer == index and arr[i].mainIndex == 2 then
			mainIndexState2 = true;
			subArr2:add(arr[i].subIndex);
		elseif arr[i].carrer == index and arr[i].mainIndex == 3 then
			mainIndexState3 = true;
			subArr3:add(arr[i].subIndex);
		end
	end
	self.btnList:setRedDot(1, { mainIndexState, mainIndexState2, mainIndexState3 });

	local subArr1_Len = subArr1:getSize();
	local subArr2_Len = subArr2:getSize();
	local subArr3_Len = subArr3:getSize();
	self.list1 = {};
	self.list2 = {};
	self.list3 = {};
	for i = 1, 11 do
		if mainIndexState == true then
			for c = 1, subArr1_Len do
				self.list1[i] = i == subArr1[c];
			end
		end

		if mainIndexState2 == true then
			for c = 1, subArr2_Len do
				self.list2[i] = i == subArr2[c];
			end
		end

		if mainIndexState3 == true then
			for c = 1, subArr3_Len do
				self.list3[i] = i == subArr3[c];
			end
		end
	end
	self:onBtnListRedDotChange();
end

function Lua_RongLianPanel:onBtnListRedDotChange()
	if self.mainIndex == 1 then
		self.btnList:setRedDot(2, self.list1);
		self.hongdian_plus:setEnable(self.list1[self.btnIndex]);
		self.hongdian_btn:setEnable(self.list1[self.btnIndex]);
		self._list.partRedDot = self.list1[self.btnIndex];
	elseif self.mainIndex == 2 then
		self.btnList:setRedDot(2, self.list2);
		self.hongdian_plus:setEnable(self.list2[self.btnIndex]);
		self.hongdian_btn:setEnable(self.list2[self.btnIndex]);
		self._list.partRedDot = self.list2[self.btnIndex];
	elseif self.mainIndex == 3 then
		self.btnList:setRedDot(2, self.list3);
		self.hongdian_plus:setEnable(self.list3[self.btnIndex]);
		self.hongdian_btn:setEnable(self.list3[self.btnIndex]);
		self._list.partRedDot = self.list3[self.btnIndex];
	end
end

function Lua_RongLianPanel:onSubClick(data)
	self.mainIndex = data.mainIndex;
	self.btnIndex = data.btnIndex;
	self.idxArr = getConfig({"equipment_compose", "order_equip", "a" .. self._list.index })["a" .. self._list.index .. data.mainIndex - 1 .. string.format("%02d", data.btnIndex)][2];
	self._list.idxArr = self.idxArr;
	self._list.btnIndex = self.btnIndex;
	self._list.mainIndex = self.mainIndex;
	self:onBtnListRedDotChange();
	self:checkRedDot(self._list.index);
	local list = {};
	for i = 1, self._count[data.mainIndex] do
		list[i] = DataCenter.roleData.level >= self.level_limitArr[data.mainIndex][i];
	end

	self.btnList:setBtnGray(2, list);
	if list[data.btnIndex] == false then
		OperateAlert.show(LanUtil.formateStr(LanUtil.getValue(120550), tostring(self.level_limitArr[data.mainIndex][data.btnIndex])));
		return;
	end

	self:infoShowState(true);
	self:onRemoveYuLanEquip();
	self:onShowEquipList();
	
	self.tipsLbl:setEnable(self.mainIndex == 3);
end

function Lua_RongLianPanel:infoShowState(state)
	self.tipsLbl:setEnable(state);
	self.dragListObj:SetActive(state);
	self.equip_DragList:setEnable(state);
	self.rongLianObj:SetActive(not state);
end

function Lua_RongLianPanel:onEquipSelecteCellClick(data)
	self:infoShowState(false);
	self:onEquipChange(data);
end

function Lua_RongLianPanel:onShowEquipList()
	self.Arr = Array();
	if self._list.index == 4 then
		self.listArr = Lua_RongLianUtil.getCommon_equip();
	else
		self.listArr = Lua_RongLianUtil.getSelected_equipArr();
	end

	local len = #self.listArr;
	for i = 1, len do
		local list = {};
		list.index = i;
		list.partRedDot = self._list.partRedDot;
		list.idx = self._list.idxArr[i];
		list.rateArr = getConfig({"equipment_compose", self._list.idxArr[i], "rate_arr"});
		list.materialsArr = getConfig( { "equipment_compose", self._list.idxArr[i], "materials"});
		list.output = getConfig({"equipment_compose", self._list.idxArr[i], "output"});
		list.star = getConfig({"equipment_compose", self._list.idxArr[i], "star" });
		list.costItem = getConfig({"equipment_compose", self._list.idxArr[i], "cost_item"});
		list.listKey = list.materialsArr[1][1] .. list.materialsArr[1][2] .. list.materialsArr[1][3] .. list.materialsArr[1][4] .. list.materialsArr[1][5] .. list.materialsArr[1][6];
		self.Arr:add(list);
	end
	self.equip_DragList:setLuaArrayData(self.Arr, false);
end

function Lua_RongLianPanel:onHelpClick()
	if self.mainIndex ~= 3 then
		Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(120511));
	else
		Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(120590));
	end
end

function Lua_RongLianPanel:onAddEquipClick(go)
	self.goParIdx = tonumber(string.sub(go.name, -1, -1));
	Lua_WindowUtil.openWin("Lua_TiHuanEquipWindow", WinParam.ACTION_AUTO, list);
end

function Lua_RongLianPanel:onRongLianClick()
	if self.materialsArr == nil then
		OperateAlert.show(LanUtil.getValue(110580));
		return;
	else
		if self.costItem ~= nil then
			local hadCount = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(self.costItemId);
			if hadCount < self.costItem.data.count then
				OperateAlert.show(LanUtil.getValue(120549));
				return;
			end
		end

		self.cmd = ProtoPublic_pb.Proto11400625();
		local isHas_bindItem = false;
		for i = 1, self.pkg_indexArr:getSize() do
			self.cmd.pkg_index:append(self.pkg_indexArr[i].index);
			if self.pkg_indexArr[i].bind == 1 then
				isHas_bindItem = true;
			end
		end

		if self.idx ~= nil then
			self.cmd.rule_id = self.idx
		else
			OperateAlert.show(LanUtil.getValue(120539));
			return;
		end

		if isHas_bindItem == false then
			self:checkRate();
		else
			local tipData = {};
			tipData.des = LanUtil.getValue(120547);
			tipData.owner = self;
			tipData.cancelName = LanUtil.getValue(120545);
			tipData.subName = LanUtil.getValue(120546);
			tipData.titleName = LanUtil.getValue(120544);
			tipData.type = 1;
			tipData.subFun = self.onSubCallback;
			Lua_WindowUtil.openWin("Lua_TipsWindow", nil, tipData);
		end
	end
end

function Lua_RongLianPanel:checkRate()
	if self.curRate ~= self.maxRate then
		if self.curRate ~= -1 then
			Lua_WindowUtil.openWin("Lua_TipsWindow", WinParam.ACTION_CLOSE);
			local tipData = {};
			tipData.des = LanUtil.formateStr(LanUtil.getValue(120548), tostring(self.curRate), tostring(self.maxRate));
			tipData.owner = self;
			tipData.type = 1;
			tipData.txtPivot = UIWidget.Pivot.Left;
			tipData.txtFontSize = 26;
			tipData.txtSpacingY = 10;
			tipData.subName = LanUtil.getValue(120546);
			tipData.subFun = self.onSubCallback2; -- 确认
			Lua_WindowUtil.openWin("Lua_TipsWindow", nil, tipData);
		else
			sendMsg(11400625, self.cmd);
		end
	else
		sendMsg(11400625, self.cmd);
	end
end

function Lua_RongLianPanel:onSubCallback(data)
	self:checkRate();
end

function Lua_RongLianPanel:onSubCallback2(data)
	sendMsg(11400625, self.cmd);
end

function Lua_RongLianPanel:onUpdateView()
	self.pkg_indexArr:clear();
	if self.costItem ~= nil then
		local hadCount = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(self.costItemId);
		self.costItem:showNumLimit(hadCount, self.costItem.data.count, 2);
	end

	if self.goArr == nil then
		self.goArr = Array();
	else
		self.goArr:dispose();
		self.goArr:clear();
	end
	self:updateRate();
end

function Lua_RongLianPanel:onOncePutClick()
	if self.materialsArr == nil then
		OperateAlert.show(LanUtil.getValue(110580));
		return;
	end

	DataCenter.equData.equipArr = self.materialsArr;
	DataCenter.equData.outPutData = self.equipImg.data;
	self.pkg_indexArr:clear();

	if self.goArr == nil then
		self.goArr = Array();
	else
		for i = 1, self.goArr:getSize() do
			self.goArr[i]:dispose();
		end
	end
	self.goArr:clear();

	local _mater = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemsBySubType({ Lua_PackTypeDefine.EQUIP });
	local index = 0;
	for i = 1, #self.materialsArr do
		local _materArr = Array();
		if _mater ~= nil and _mater:getSize() ~= 0 then
			for j = 1, _mater:getSize() do
				if _mater[j].star == self.materialsArr[i][3] and _mater[j].career == self.equipImg.data.career and _mater[j].order == self.materialsArr[i][4] and _mater[j].color == self.materialsArr[i][5] then
					_materArr:add(_mater[j]);
				end
			end

			if _materArr:getSize() ~= 0 then
				if _materArr[i] ~= nil then
					self.mtImg = Lua_ToolImage.new(self.duanzaoBgArr[i].mainContent);
					self.mtImg:setDepth(15);
					self.mtImg:showNum(0, true);
					self.mtImg.data = _materArr[i];
					self.mtImg:showCloseSp(true, true, "REMOVE_EQUIP", "Lua_ForgingWindow", Vector3(30, 30));
					self.mtImg:showNewTip(false);
					self.goArr:add(self.mtImg);

					index = index + 1;
					if _materArr[index] ~= nil then
						self.pkg_indexArr:add({index = _materArr[index].index, bind = _materArr[index].bind});
					end
				end
				self:updateRate();
			else
				OperateAlert.show(LanUtil.getValue(110581));
				return;
			end
		else
			OperateAlert.show(LanUtil.getValue(110581));
			break;
		end
	end

	local idxArr = Array();
	for i = 1, self.goArr:getSize() do
		for c = 1, DataCenter.equData.selected_EquArr:getSize() do
			if self.goArr[i].data.index == DataCenter.equData.selected_EquArr[c].index and idxArr:indexOf(c) == -1 then
				idxArr:add(c);
			end
		end
	end

	for i = 1, idxArr:getSize() do
		DataCenter.equData.selected_EquArr:remove(1);
	end
end

function Lua_RongLianPanel:onRemoveEquip(go)
	local tempIdxArr = Array();
	for i = 1, self.goArr:getSize() do
		if self.goArr[i].data ~= nil and go ~= nil and go.index == self.goArr[i].data.index then
			DataCenter.equData.selected_EquArr:add(go);
			self.goArr[i]:dispose();
			
			tempIdxArr:add({idx = i, index = go.index});
		end
	end

	for i = 1, tempIdxArr:getSize() do
		self.goArr:remove(tempIdxArr[i].idx);
		for c = 1, self.pkg_indexArr:getSize() do
			if self.pkg_indexArr[c].index == tempIdxArr[i].index then
				self.pkg_indexArr:remove(c);
				break;
			end
		end
	end
	self:updateRate();
end

function Lua_RongLianPanel:onPutIntoEquip(data)
	self.mtImg = Lua_ToolImage.new(self.duanzaoBgArr[self.goParIdx - 1].mainContent);
	self.mtImg:setDepth(15);
	self.mtImg:setLocation(0, 0, 0);
	self.mtImg:showNum(0, true);
	self.mtImg:showCloseSp(true, true, "REMOVE_EQUIP", "Lua_ForgingWindow", Vector3(30, 30));
	self.mtImg.data = data;
	self.goArr:add(self.mtImg);
	self.pkg_indexArr:add({index = self.mtImg.data.index, bind = self.mtImg.data.bind});

	local len = DataCenter.equData.selected_EquArr:getSize();
	for i = 1, self.goArr:getSize() do
		for c = 1, len do
			if self.goArr[i].data ~= nil and DataCenter.equData.selected_EquArr[c] ~= nil and self.goArr[i].data.index == DataCenter.equData.selected_EquArr[c].index then
				DataCenter.equData.selected_EquArr:remove(c);
				break
			end
		end
	end
	self:updateRate();
end

function Lua_RongLianPanel:onRemoveYuLanEquip()
	self:onUpdateView();
	if self.equipImg ~= nil then
		self.equipImg:dispose();
	end
	DataCenter.equData.outPutData = nil;
	self.materialsArr = nil;
	self.rateArr = nil;
	self:ObjectState(false, true);
end

function Lua_RongLianPanel:onOpenTipsClick()
	self._list.isbol = true;
	self._list.txt = self.titleLbl.text;
	self:onSanJiaoChange(self._list);
	Lua_WindowUtil.openWin("Lua_RongLianTipsWindow", WinParam.ACTION_AUTO, self._list);
end

function Lua_RongLianPanel:updateRate()
	local idxLen = self.pkg_indexArr:getSize();
	if self.materialsArr == nil then
		self.rateLbl.text = "";
		return
	end

	if idxLen == 0 then
		self.rateLbl.text = LanUtil.getValue(120549);
		return
	end

	local needCount = #self.materialsArr - #self.rateArr + 1;
	self.maxRate = self.rateArr[#self.rateArr];
	self.curRate = -1;
	if idxLen < needCount then
		self.rateLbl.text = LanUtil.getValue(120549);
	else
		self.curRate = self.rateArr[idxLen - needCount + 1];
		self.rateLbl.text = LanUtil.formateStr(LanUtil.getValue(110582), tostring(self.curRate));
	end
end

function Lua_RongLianPanel:onSanJiaoChange(value)
	self.sanjiao:setRot(0, 0, value.isbol and 1 or 0, 1);

	if self.idx ~= nil then
		self.idx = nil;
	end

	if self.pkg_indexArr ~= nil then
		self.pkg_indexArr:clear();
		self.rateLbl.text = ""
	end

	if value.isbol == true then
		self.titleLbl.text = self.titleLbl.text;
	else
		self.titleLbl.text = value.txt;
		self._list.index = value.index;
		if self.mainIndex == nil then
			self._list.idxArr = nil;
		else
			self._list.idxArr = getConfig({"equipment_compose", "order_equip", "a" .. self._list.index})["a" .. self._list.index .. self.mainIndex - 1 .. string.format("%02d", self.btnIndex)][2];
		end
	end
	self:checkRedDot(value.index);
end

function Lua_RongLianPanel:onEquipChange(value)
	self.idx = value.idx;
	self.materialsArr = value.materialsArr;
	self.rateArr = value.rateArr
	if self.goArr == nil then
		self.goArr = Array();
	else
		for i = 1, self.goArr:getSize() do
			self.goArr[i]:dispose();
		end
	end

	if self.costItem ~= nil then
		self.costItem:dispose();
		self.costItemId = 0 ;
		self.costItem = nil ;
		self.costItem = nil
	end

	if value == nil then
		if self.equipImg ~= nil then
			self.equipImg:dispose();
		end
		DataCenter.equData.outPutData = nil;
		self:ObjectState(false, true);
	else
		self:ObjectState(true, false);

		self.equipImg = Lua_ToolImage.new(self.yulanImg.mainContent);
		self.equipImg:setDepth(15);

		local equipVo = Lua_ToolVo.new(value.output, 0, 0);
		equipVo.star = value.star;
		self.equipImg.data = equipVo;
		-- self.equipImg:showCloseSp(true, true, "REMOVE_YULAN_EQUIP", "Lua_ForgingWindow", Vector3(30, 30));
		self.equipImg:showStars(value.star);

		DataCenter.equData.outPutData = self.equipImg.data;

		if self.pkg_indexArr:getSize() ~= 0 then
			self.pkg_indexArr:clear()
		end

		if value.costItem ~= nil then
			self.costItemId = value.costItem[1][1];
			local hadCount = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(self.costItemId);

			self.costItem = Lua_ToolImage.new(self.duanzao1.mainContent);
			self.costItem:setDepth(15);
			self.costItem.data = Lua_ToolVo.new(value.costItem[1][1], value.costItem[1][2]);
			self.costItem:showNumLimit(hadCount, value.costItem[1][2], 2);
		end
		self:updateRate()
	end
	DataCenter.equData.equipArr = self.materialsArr;
end

function Lua_RongLianPanel:ObjectState(state1, state2)
	self.desLbl2:setEnable(state1);
	self.desLbl3:setEnable(state1);
	self.desLbl4:setEnable(state1);
	self.suo2:setEnable(state2);
	self.suo3:setEnable(state2);
	self.suo4:setEnable(state2);
	local offsetLen = 0
	if self.rateArr ~= nil and #self.rateArr ~= 0 then
		offsetLen = #self.rateArr - 1;
	end

	if offsetLen == 0 then
		self.desLbl5:setEnable(false);
		self.desLbl6:setEnable(false);
		self.suo5:setEnable(true);
		self.suo6:setEnable(true);
	elseif offsetLen == 1 then
		self.desLbl5:setEnable(true);
		self.desLbl6:setEnable(false);
		self.suo5:setEnable(false);
		self.suo6:setEnable(true);
	elseif offsetLen == 2 then
		self.desLbl5:setEnable(true);
		self.desLbl6:setEnable(true);
		self.suo5:setEnable(false);
		self.suo6:setEnable(false);
	end
end

function Lua_RongLianPanel:dispose()
	if self.equip_DragList ~= nil then
		self.equip_DragList:dispose();
		self.equip_DragList = nil;
	end
	self:superCall("dispose");
end